
def uncap(class_str):
    if class_str[0].islower():
        return class_str

    if class_str[0].isupper():
        lower_case = class_str[:1].lower() + class_str[1:]
        return lower_case


'''
# In most situations you will be better off using the lower() function, but there may be some rare occasions when this
# function could become handy. The below examples do not illustrate the best use of this function but are just 
# 'examples'. I leave the creativity of use to the user.



# Simple example of use 1:
import uncap as uc
x = 'Joe'
print(uc.uncap(x))



# Simple example of use 2:
import uncap as uc
names = ['Damian', 'Mozol']
print(uc.uncap(names[0]))




# More advanced example of use 3:
# The uncap in this example will create email-addresses of of employees; first name, last name and the company's domain-
# name. The output will look like : damian.mozol@no_smoke.com
# Also in this example you could just use the lower() function.. But for the sake of examples...


import uncap as uc
class Employees:


    def __init__(self, first, last, pay):
        self.first = first
        self.last = last
        self.pay = pay
        self.email = uc.uncap(first) + '.' + uc.uncap(last) + '@no_smoke.com'


emp1 = Employees('Damian', 'Mozol', 800)
emp2 = Employees('Robert', 'Green', 745)


print(emp1.email)
'''